Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class TieLibraryConnection

    java.lang.Object
      oracle.ifs.server.LibraryConnection
          oracle.ifs.server.TieLibraryConnection

    public class TieLibraryConnection

extends LibraryConnection

TieLibraryConnection allows the Oracle-defined behavior of the LibraryConnection class to be extended or overridden.

See Also:
  `LibraryConnection`
(Published)

Field Summary

Fields inherited from class oracle.ifs.server.LibraryConnection
`m_Connection, m_ConnectionPoolName, m_Id, m_LibraryQueryStatementCount, m_LibraryQueryStatements, m_PreparedStatements, m_Service, m_SessionLanguage, m_StatementAccessSequence, m_StatementAccessSequenceAtPreviousPurge, m_StatementCacheSizeTrigger, m_StatementCacheTarget, m_StatementResetLimit, m_StatementResetRequested, m_StatementValidityRsn`

Constructor Summary
`protected` | `TieLibraryConnection(long id, S_LibraryService service, java.lang.String connectionPoolName, javax.sql.DataSource dataSource, java.io.PrintStream jdbcLogStream, int defaultRowPrefetch, int statementResetLimit, int stmtCacheTarget, int stmtCacheTrigger)` Constructs a TieLibraryConnection.

Method Summary

Methods inherited from class oracle.ifs.server.LibraryConnection
`acquireLibraryQueryStatement, addPreparedStatement, alterSessionLanguage, alterSessionSqlTrace, closeLibraryQueryStatements, closePreparedStatements, commit, dispose, disposeCachedStatements, fetchSessionLanguage, finalize, findPreparedStatement, getConnection, getConnectionPoolName, getId, getService, getSessionLanguage, getStatementValidityRsn, handleResetOfCachedStatements, isDisposed, isValid, purge, releaseLibraryQueryStatement, resetCachedStatements, rollback, rollback, rollbackOrDispose, rollbackOrDispose, setSavepoint, setSessionLanguage, verifyConnectionValidity, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieLibraryConnection

    protected TieLibraryConnection(long id,
                                   S_LibraryService service,
                                   java.lang.String connectionPoolName,
                                   javax.sql.DataSource dataSource,
                                   java.io.PrintStream jdbcLogStream,
                                   int defaultRowPrefetch,
                                   int statementResetLimit,
                                   int stmtCacheTarget,
                                   int stmtCacheTrigger)
                            throws IfsException

  Constructs a TieLibraryConnection.

  Parameters:
    `id` - an identifier
    `service` - the S_LibraryService creating the LibraryConnection
    `connectionPoolName` - the name of the ConnectionPool to which this LibraryConnection belongs
    `dataSource` - data source for database connections
    `jdbcLogStream` - a PrintStream to which the JDBC log will be sent, or null to disable logging
    `defaultRowPrefetch` - the default number of prefetched rows; ignored if 0 or if `driverName` does not create an OracleConnection
    `stmtCacheTarget` - the desired number of cached statements
    `stmtCacheTrigger` - the number of caches statements before triggering a purge
  Throws:
    `IfsException` - (IFS-10600) if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD